      SUBROUTINE UNIQTHERE(iorder,istat,jp)

C     UNIQTHERE CHECKS IF THE UNIQUE STATION NUMBER IS FOUND
C     IN THIS PARTICULAR DATA SET

      common /silent/ isilent

      itx2=1
      call uorderfind(iorder,istat,jp)
      istat2=-10
      if ( iorder .gt. 0 ) then
       call uniqfind(iorder,istat2,jp,itx2)

      if ( istat2 .ne. istat ) then
       if ( isilent .eq. 0 ) write(6,*)
     * 'Unique station number is not found in this data set: ',istat
       iorder=-1
      endif
      endif

      return
      end

